Index: /branches/0.4/jobarchived/jobarchived.py
===================================================================
--- /branches/0.4/jobarchived/jobarchived.py	(revision 769)
+++ /branches/0.4/jobarchived/jobarchived.py	(revision 770)
@@ -24,36 +24,36 @@
 import getopt, syslog, ConfigParser, sys
 
-VERSION='0.3.1'
+VERSION='0.4+SVN'
 
 def usage( ver ):
 
-	print 'jobarchived %s' %VERSION
-
-	if ver:
-		return 0
-
-	print
-	print 'Purpose:'
-	print '  The Job Archive Daemon (jobarchived) stores batch job information in a SQL database'
-	print '  and node statistics in a RRD archive'
-	print
-	print 'Usage:	jobarchived [OPTIONS]'
-	print
-	print '  -c, --config=FILE	The configuration file to use (default: /etc/jobarchived.conf)'
-	print '  -p, --pidfile=FILE	Use pid file to store the process id'
-	print '  -h, --help		Print help and exit'
-	print '  -v, --version		Print version and exit'
-	print
+    print 'jobarchived %s' %VERSION
+
+    if ver:
+        return 0
+
+    print
+    print 'Purpose:'
+    print '  The Job Archive Daemon (jobarchived) stores batch job information in a SQL database'
+    print '  and node statistics in a RRD archive'
+    print
+    print 'Usage:    jobarchived [OPTIONS]'
+    print
+    print '  -c, --config=FILE    The configuration file to use (default: /etc/jobarchived.conf)'
+    print '  -p, --pidfile=FILE    Use pid file to store the process id'
+    print '  -h, --help        Print help and exit'
+    print '  -v, --version        Print version and exit'
+    print
 
 def processArgs( args ):
 
-        SHORT_L	= 'p:hvc:'
-        LONG_L	= [ 'help', 'config=', 'pidfile=', 'version' ]
+        SHORT_L    = 'p:hvc:'
+        LONG_L    = [ 'help', 'config=', 'pidfile=', 'version' ]
 
         config_filename = '/etc/jobarchived.conf'
 
-	global PIDFILE
-
-	PIDFILE	= None
+    global PIDFILE
+
+    PIDFILE    = None
 
         try:
@@ -72,119 +72,119 @@
                         config_filename = value
 
-		if opt in [ '--pidfile', '-p' ]:
-
-			PIDFILE         = value
-
-		if opt in [ '--help', '-h' ]:
-
-			usage( False )
-			sys.exit( 0 )
-
-		if opt in [ '--version', '-v' ]:
-
-			usage( True )
-			sys.exit( 0 )
-
-	try:
-		return loadConfig( config_filename )
-
-	except ConfigParser.NoOptionError, detail:
-
-		print detail
-		sys.exit( 1 )
+        if opt in [ '--pidfile', '-p' ]:
+
+            PIDFILE         = value
+
+        if opt in [ '--help', '-h' ]:
+
+            usage( False )
+            sys.exit( 0 )
+
+        if opt in [ '--version', '-v' ]:
+
+            usage( True )
+            sys.exit( 0 )
+
+    try:
+        return loadConfig( config_filename )
+
+    except ConfigParser.NoOptionError, detail:
+
+        print detail
+        sys.exit( 1 )
 
 def loadConfig( filename ):
 
-	def getlist( cfg_string ):
-
-		my_list = [ ]
-
-		for item_txt in cfg_string.split( ',' ):
-
-			sep_char = None
-
-			item_txt = item_txt.strip()
-
-			for s_char in [ "'", '"' ]:
-
-				if item_txt.find( s_char ) != -1:
-
-					if item_txt.count( s_char ) != 2:
-
-						print 'Missing quote: %s' %item_txt
-						sys.exit( 1 )
-
-					else:
-
-						sep_char = s_char
-						break
-
-			if sep_char:
-
-				item_txt = item_txt.split( sep_char )[1]
-
-			my_list.append( item_txt )
-
-		return my_list
-
-	cfg = ConfigParser.ConfigParser()
-
-	cfg.read( filename )
-
-	global DEBUG_LEVEL, USE_SYSLOG, SYSLOG_LEVEL, SYSLOG_FACILITY, GMETAD_CONF, ARCHIVE_XMLSOURCE
-	global ARCHIVE_DATASOURCES, ARCHIVE_PATH, ARCHIVE_HOURS_PER_RRD, ARCHIVE_EXCLUDE_METRICS
-	global JOB_SQL_DBASE, DAEMONIZE, RRDTOOL, JOB_TIMEOUT, MODRRDTOOL
-
-	ARCHIVE_PATH		= cfg.get( 'DEFAULT', 'ARCHIVE_PATH' )
-
-	ARCHIVE_HOURS_PER_RRD	= cfg.getint( 'DEFAULT', 'ARCHIVE_HOURS_PER_RRD' )
-
-	DEBUG_LEVEL		= cfg.getint( 'DEFAULT', 'DEBUG_LEVEL' )
-
-	USE_SYSLOG		= cfg.getboolean( 'DEFAULT', 'USE_SYSLOG' )
-
-	SYSLOG_LEVEL		= cfg.getint( 'DEFAULT', 'SYSLOG_LEVEL' )
-
-	MODRRDTOOL		= False
-
-	try:
-		global rrdtool
-		import rrdtool
-
-		MODRRDTOOL		= True
-
-	except ImportError:
-
-		MODRRDTOOL		= False
-
-		print "ERROR: py-rrdtool import FAILED: failing back to DEPRECATED use of rrdtool binary. This will slow down jobarchived significantly!"
-
-		RRDTOOL			= cfg.get( 'DEFAULT', 'RRDTOOL' )
-
-	try:
-
-		SYSLOG_FACILITY	= eval( 'syslog.LOG_' + cfg.get( 'DEFAULT', 'SYSLOG_FACILITY' ) )
-
-	except AttributeError, detail:
-
-		print 'Unknown syslog facility'
-		sys.exit( 1 )
-
-	GMETAD_CONF		= cfg.get( 'DEFAULT', 'GMETAD_CONF' )
-
-	ARCHIVE_XMLSOURCE	= cfg.get( 'DEFAULT', 'ARCHIVE_XMLSOURCE' )
-
-        ARCHIVE_DATASOURCES	= getlist( cfg.get( 'DEFAULT', 'ARCHIVE_DATASOURCES' ) )
-
-	ARCHIVE_EXCLUDE_METRICS	= getlist( cfg.get( 'DEFAULT', 'ARCHIVE_EXCLUDE_METRICS' ) )
-
-	JOB_SQL_DBASE		= cfg.get( 'DEFAULT', 'JOB_SQL_DBASE' )
-
-	JOB_TIMEOUT		= cfg.getint( 'DEFAULT', 'JOB_TIMEOUT' )
-
-	DAEMONIZE		= cfg.getboolean( 'DEFAULT', 'DAEMONIZE' )
-
-
-	return True
+    def getlist( cfg_string ):
+
+        my_list = [ ]
+
+        for item_txt in cfg_string.split( ',' ):
+
+            sep_char = None
+
+            item_txt = item_txt.strip()
+
+            for s_char in [ "'", '"' ]:
+
+                if item_txt.find( s_char ) != -1:
+
+                    if item_txt.count( s_char ) != 2:
+
+                        print 'Missing quote: %s' %item_txt
+                        sys.exit( 1 )
+
+                    else:
+
+                        sep_char = s_char
+                        break
+
+            if sep_char:
+
+                item_txt = item_txt.split( sep_char )[1]
+
+            my_list.append( item_txt )
+
+        return my_list
+
+    cfg = ConfigParser.ConfigParser()
+
+    cfg.read( filename )
+
+    global DEBUG_LEVEL, USE_SYSLOG, SYSLOG_LEVEL, SYSLOG_FACILITY, GMETAD_CONF, ARCHIVE_XMLSOURCE
+    global ARCHIVE_DATASOURCES, ARCHIVE_PATH, ARCHIVE_HOURS_PER_RRD, ARCHIVE_EXCLUDE_METRICS
+    global JOB_SQL_DBASE, DAEMONIZE, RRDTOOL, JOB_TIMEOUT, MODRRDTOOL
+
+    ARCHIVE_PATH        = cfg.get( 'DEFAULT', 'ARCHIVE_PATH' )
+
+    ARCHIVE_HOURS_PER_RRD    = cfg.getint( 'DEFAULT', 'ARCHIVE_HOURS_PER_RRD' )
+
+    DEBUG_LEVEL        = cfg.getint( 'DEFAULT', 'DEBUG_LEVEL' )
+
+    USE_SYSLOG        = cfg.getboolean( 'DEFAULT', 'USE_SYSLOG' )
+
+    SYSLOG_LEVEL        = cfg.getint( 'DEFAULT', 'SYSLOG_LEVEL' )
+
+    MODRRDTOOL        = False
+
+    try:
+        global rrdtool
+        import rrdtool
+
+        MODRRDTOOL        = True
+
+    except ImportError:
+
+        MODRRDTOOL        = False
+
+        print "ERROR: py-rrdtool import FAILED: failing back to DEPRECATED use of rrdtool binary. This will slow down jobarchived significantly!"
+
+        RRDTOOL            = cfg.get( 'DEFAULT', 'RRDTOOL' )
+
+    try:
+
+        SYSLOG_FACILITY    = eval( 'syslog.LOG_' + cfg.get( 'DEFAULT', 'SYSLOG_FACILITY' ) )
+
+    except AttributeError, detail:
+
+        print 'Unknown syslog facility'
+        sys.exit( 1 )
+
+    GMETAD_CONF        = cfg.get( 'DEFAULT', 'GMETAD_CONF' )
+
+    ARCHIVE_XMLSOURCE    = cfg.get( 'DEFAULT', 'ARCHIVE_XMLSOURCE' )
+
+        ARCHIVE_DATASOURCES    = getlist( cfg.get( 'DEFAULT', 'ARCHIVE_DATASOURCES' ) )
+
+    ARCHIVE_EXCLUDE_METRICS    = getlist( cfg.get( 'DEFAULT', 'ARCHIVE_EXCLUDE_METRICS' ) )
+
+    JOB_SQL_DBASE        = cfg.get( 'DEFAULT', 'JOB_SQL_DBASE' )
+
+    JOB_TIMEOUT        = cfg.getint( 'DEFAULT', 'JOB_TIMEOUT' )
+
+    DAEMONIZE        = cfg.getboolean( 'DEFAULT', 'DAEMONIZE' )
+
+
+    return True
 
 # What XML data types not to store
@@ -209,10 +209,10 @@
 
 try:
-	from pyPgSQL import PgSQL
+    from pyPgSQL import PgSQL
 
 except ImportError, details:
 
-	print "FATAL ERROR: pyPgSQL python module not found"
-	sys.exit( 1 )
+    print "FATAL ERROR: pyPgSQL python module not found"
+    sys.exit( 1 )
 
 # Orginal from Andre van der Vlies <andre@vandervlies.xs4all.nl> for MySQL. Changed
